GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Functions
secure_channel_create.c File Reference
`#include <grpc/grpc.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <grpc/support/alloc.h>`
`#include "src/core/channel/channel_args.h"`
`#include "src/core/channel/client_channel.h"`
`#include "src/core/channel/compress_filter.h"`
`#include "src/core/channel/http_client_filter.h"`
`#include "src/core/client_config/resolver_registry.h"`
`#include "src/core/iomgr/tcp_client.h"`
`#include "src/core/security/auth_filters.h"`
`#include "src/core/security/credentials.h"`
`#include "src/core/security/secure_transport_setup.h"`
`#include "src/core/surface/channel.h"`
`#include "src/core/transport/chttp2_transport.h"`
`#include "src/core/tsi/transport_security_interface.h"`

## Data Structures
struct | connector
struct | subchannel_factory

## Macros
#define | MAX_FILTERS 3

## Functions
grpc_channel * | grpc_secure_channel_create (grpc_credentials *creds, const char *target, const grpc_channel_args *args)

## Macro Definition Documentation

#define MAX_FILTERS 3

## Function Documentation

grpc_channel* grpc_secure_channel_create | ( | grpc_credentials * | creds,
|  | const char * | target,
|  | const grpc_channel_args * | args
| ) |  |